Subject: ANNOUNCE: MSSQL::DBlib and MSSQL::Sqllib
From: [email-masked] (Erland Sommarskog)
Date: 11 Feb 1998 22:49:04 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

I'm proud to announce the appearance of MSSQL::DBlib and MSSQL::Sqllib, two
Perl classes for accessing Microsoft SQL Server through DB-Library.

Before I go on, there are two persons that I am in deep gratitude to. 
One is Michael Peppler who is famous for his Sybperl, and MSSQL::DBlib
is bascially a port of Sybperl::DBlib. The other person is Christian 
Mallwitz of Intershop GmbH who ported Sybperl 2.03 to Windows NT. (Thus,
features that Michael Peppler has added in more recent versions of
Sybperl are generally not available.)

MSSQL::DBlib provides a direct interface to MS SQL Server through 
DB-Library. 

MSSQL::Sqllib is built on top of MSSQL::DBlib and provides a high-level
interface, so you can say things like:

   @result = sql("SELECT * FROM sysdatabases");
   foreach $row (@result) {
      print "dbid: $$row{dbid}   name: $$row{name}\n";
   }

In this example you received the result as a hash, but there are several
options. Note the lack of error checking. This is because in the default
configuration MSSQL::Sqllib will abort execution on errors from SQL Server, 
so the caller does not to bother. Yet another goodie is that MSSQL::Sqllib
provides facilities for converting between character sets, far more flexible
that the ANSI/OEM flags you get from Microsoft.

To download it, go to http://www.algonet.se/~sommar/mssql. You can read
the manpages there, before you download. There is also a comparison with
Win32::ODBC for those who might be in doubt on what to use.

The zip file contains source, manpages, examples and binary for the Intel
platform. Currently I'm only supporting the ActiveState port. 

The MSSQL classes are not available at CPAN; this far I have only glanced
on the red tape to get things going there.

If you have any troubles in retrieving it or any other questions, please mail
me at [email-masked]. 

--
Erland Sommarskog, Stockholm, [email-masked]
F=F6r =F6vrigt anser jag att QP b=F6r f=F6rst=F6ras.
B=65sid=65s, I think QP should b=65 d=65stroy=65d.